﻿using Syncfusion.XForms.PopupLayout;
using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using System.Reflection;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;
using Xamarin.Forms.Internals;

namespace Popup_Demo
{
    public partial class MainPage : ContentPage
    {
        private bool IsCustomCloseButtonClicked;
        public MainPage()
        {
            InitializeComponent();

            DataTemplate template = new DataTemplate(() =>
            {
                StackLayout stack = new StackLayout();
                stack.Orientation = StackOrientation.Horizontal;
                Label label = new Label();
                label.Text = "Custom close Icon";

                Image image = new Image();
                image.HorizontalOptions = LayoutOptions.EndAndExpand;
                image.VerticalOptions = LayoutOptions.EndAndExpand;
                image.Source = ImageSource.FromResource(
                "Popup_Demo.CustomCloseIcon.png",
                typeof(MainPage).GetTypeInfo().Assembly);

                var tapGestureRecognizer = new TapGestureRecognizer();
                tapGestureRecognizer.Tapped += (s, e) =>
                {
                    IsCustomCloseButtonClicked = true;
                    popupLayout.IsOpen = false;
                };
                image.GestureRecognizers.Add(tapGestureRecognizer);

                stack.Children.Add(label);
                stack.Children.Add(image);
                return stack;
            });

            popupLayout.PopupView.FooterTemplate = template;
            popupLayout.Closing += PopupLayout_Closing;
        }

        private void PopupLayout_Closing(object sender, Syncfusion.XForms.Core.CancelEventArgs e)
        {
            if (IsCustomCloseButtonClicked)
            {
                // codes when click the custom close button
                IsCustomCloseButtonClicked = false;
            }
            else
            {
                // codes when clicked default close button
            }
        }

        private void ClickToShowPopup_Clicked(object sender, EventArgs e)
        {
            popupLayout.Show();
        }
    }
}






































